#
# spec file for package glib2 (Version 2.14.1)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           glib2
%define _name glib
BuildRequires:  fdupes pcre-devel pkg-config
License:        LGPL v2.1 or later
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Version:        2.14.1
Release:        18
Summary:        A Library with Convenient Functions Written in C
Url:            http://www.gtk.org/
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{_name}/2.14/%{_name}-%{version}.tar.bz2
Source1:        glib2.sh
Source2:        glib2.csh
# Not depending on gtk-doc shortens bootstrap compilation path.
# Please update this file from the latest gtk-doc package:
Source3:        gtk-doc.m4
Patch0:         glib-mkinstalldirs.patch
Patch1:         glib-aclocal.patch
Patch2:         glib-cast.patch
Patch3:         glib-gcc43.patch
Patch4:         allocsize.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
# For temporary %%pre script only.
PreReq:         coreutils

%description
This library provides convenient functions, such as lists and hashes,
to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package devel
Requires:       %{name} = %{version} pcre-devel pkg-config glibc-devel
Summary:        Include files and libraries mandatory for development
Group:          Development/Libraries/C and C++
AutoReqProv:    on

%description devel
This package contains all necessary include files, libraries,
configuration files and development tools (with manual pages) needed to
compile and link applications using the glib library.

The glib library provides convenient functions, such as lists and
hashes, to a C programmer and is used by Gtk+ and GNOME.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%package doc
Summary:        Documentation for the C Library with Convenience Functions
Group:          Development/Libraries/C and C++
AutoReqProv:    on
Requires:       %{name} = %{version}

%description doc
This package contains additional documentation for the glib2 library.



Authors:
--------
    Peter Mattis <petm@xcf.berkeley.edu>
    Spencer Kimball <spencer@xcf.berkeley.edu>
    Josh MacDonald <jmacd@xcf.berkeley.edu>
    Shawn T. Amundson <amundson@gimp.org>
    Jeff Garzik <jgarzik@pobox.com>
    Raja R Harinath <harinath@cs.umn.edu>
    Tim Janik <timj@gtk.org>
    Elliot Lee <sopwith@redhat.com>
    Tor Lillqvist <tml@iki.fi>
    Paolo Molaro <lupus@debian.org>
    Havoc Pennington <hp@pobox.com>
    Manish Singh <yosh@gimp.org>
    Owen Taylor <otaylor@gtk.org>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>

%lang_package
%prep
%setup -q -n %{_name}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
if ! test -f %{_datadir}/aclocal/gtk-doc.m4 ; then
    cp -a %{S:3} m4macros/
fi

%build
autoreconf -f -i
# needed for glib-2.12.4:
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
    --enable-static \
    --with-pcre=system
make %{?jobs:-j%jobs}

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
cp -a %{S:1} $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.sh
cp -a %{S:2} $RPM_BUILD_ROOT/etc/profile.d/zzz-glib2.csh
%find_lang %{_name}20
%fdupes $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README NEWS ChangeLog 
%{_libdir}/lib*.so.*
/etc/profile.d/zzz-glib2.*

%files lang -f %{_name}20.lang

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/aclocal/*
%{_datadir}/glib-2.0
%{_includedir}/glib-2.0
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/glib-2.0
%{_libdir}/pkgconfig/*.pc
%doc %{_mandir}/man*/*

%files doc
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/glib
%{_datadir}/gtk-doc/html/gobject
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html

%changelog
* Thu Nov 29 2007 - maw@suse.de
- Use the system's PCRE (#325921).
* Mon Oct 15 2007 - meissner@suse.de
- merge malloc size markup from BETA.
* Thu Oct 11 2007 - rguenther@suse.de
- Fix glib2 headers for C99 programs and GCC 4.3.
* Mon Sep 17 2007 - sbrabec@suse.cz
- Updated to version 2.14.1:
  * more bugs fixed
  * documentation fixes
  * translation update
* Wed Aug 29 2007 - maw@suse.de
- Update to version 2.14.0:
  + g_unichar_combining_class is public
  + Add a goffset type, and add G_MAXSSIZE and G_MINSSIZE
  + Use PCRE 7.2
  + Bugs (bugzilla.gnome.org) fixed: #453998, #462549, and
  [#417068]
  + Updated translations.
* Sat Aug 25 2007 - maw@suse.de
- Update glib-casts.patch to fix g_array_index on ia64.
* Thu Aug 09 2007 - sbrabec@suse.cz
- Removed gtk-doc from BuildRequires and included required
  gtk-doc.m4 to Sources (preprocessed docs are now included, this
  shortens bootstrap compilation path).
* Wed Aug 08 2007 - maw@suse.de
- Use %%fdupes
- Split off a -lang subpackage
- s#%%run_ldconfig#/sbin/ldconfig/ in %%post and %%postun.
* Sun Aug 05 2007 - maw@suse.de
- The previous changelog entry refers to #297636.
* Sun Aug 05 2007 - schwab@suse.de
- Fix broken interface.
* Thu Jul 19 2007 - maw@suse.de
- Update to version 2.13.7
  * The memory corruption warning from the slice allocator that
  occurred when threads were initialized after the slice allocator
  has been removed, as the slice allocator now works fine
  in this scenario.
  * New functions g_once_init_enter() and g_once_init_leave() make
  it easier to write threadsafe one-time initialization functions
  * Bugs fixed: [against bugzilla.gnome.org]
  454473 Simple XML Subset Parser terminates on invalid XML
  445813 g_module_open error, add file name
  453796 errno gets clobbered by g_filename_display_name
  341988 don't use "-c" with msgfmt in Makefile.in.in
  447048 Please produce slightly more output during long tests
  454785 GModule documentation lists same block of code twice.
  454786 GModule documentation lists same paragraph twice.
  383155 small docs quirks in gobject/closure API documentation
  65041  _get_type() functions aren't thread safe
  * Updated translations
  Assamese (as)
  Spanish (es)
  Gujarati (gu)
  Japanese (ja)
  Korean (ko)
  Macedonian (mk)
* Thu Jul 05 2007 - maw@suse.de
- Update to version 2.13.5
- Overview of Changes from GLib 2.12 to GLib 2.13.0
  * Add GSequence, a list that is implemented using
  a balanced binary tree.
  * Add GRegex, an implementation of Perl regular expressions,
  based on PCRE.
  * Use Posix monotonic clocks instead of gettimeofday()
  for GTimer when available.
  * Support static initialization of GQeues with G_QUEUE_INIT,
  g_queue_init() and g_queue_clear().
  * Add g_string_chunk_clear() for clearing a
  GStringChunk.
  * Add g_unichar_get_script() to obtain Unicode
  script information.
  * Add g_unichar_iszerowidth() to obtain information
  about zero-width characters.
  * Add G_GNUC_MAY_ALIAS which wraps the gcc may_alias
  type attribute.
  * G_GNUC_INTERNAL has a working definition for the
  Sun Studio compiler. This requires the macro to
  be positioned before the function declaration.
  * The slice allocator can produce detailed debugging
  information with G_SLICE=debug-blocks.
  * Modules support G_DEBUG flags resident-modules and
  bind-now-modules.
  * Add G_DEFINE_DYNAMIC_TYPE() to make it easier
  to define types in modules.
  * Bug fixes: too many to list them in detail here.
  * New and updated translations (be,bg,bn,ca,cs,de,
  en_CA,en_GB,et,fa,fr,he,hu,it,ja,ku,lt,mg,mk,ml,
  nb,ne,nn,pt,pt_BR,ro,sr,sr@Latn,sv,ta,uk,vi,zh_CN,
  zh_HK,zh_TW)
* Thu Apr 12 2007 - maw@suse.de
- Pass --enable-static to configure (#263998).
* Wed Mar 21 2007 - maw@suse.de
- Update to version 2.12.11
- Fixes for bugzilla.gnome.org 399611, 350802, 416062, 346808,
  398069, 346808, 398203, 399971, 400044, 396899, 404832, and
  149144.
* Mon Mar 05 2007 - jhargadon@suse.de
- removed obsolete patch glib2-unexpanded-variables.patch (#249204)
* Thu Feb 22 2007 - sbrabec@suse.cz
- Removal of gnome-filesystem files moved to opt_gnome-compat.
* Fri Feb 16 2007 - maw@suse.de
- Update to version 2.12.9
- Bugs fixed:
  397139 glib-2.12.8 breaks ABI
  393812 glib links against pthread
  394258 gthread.c: illegal include order
  394641 Undefined reference in gthread
  394150 gettime implementation breaks compilation on darwin 6
  395203 g_timer_elapsed off by 2 order of magnitude
  394262 image/* mimetype breaks stuff
  392636 glib-2.0.m4 ignores PKG_CONFIG environment variable
  395419 Glib-2.12.7 with mingw(w32api-3.8/windows) fails to compi...
  329031 G_GNUC_INTERNAL fails with gcc-2.95
  354707 No return() in non-void function
  387260 hang in zenity
  387823 glib 2.12.5 is breaking hal
  391370 Recent crash on file
  346955 NON-ASCII UTF-8 arg_description in GOptionEntry causes wr...
  371631 Bug in g_bit_nth_lsf?
  376645 Win32: Fatal warnings abort application even if IsDebugge...
  389300 g_utf8_collate_key modifies the locale
  390913 gslice.c: illegal declaration (C99)
  304517 glib/libcharset/localcharset.c/_g_locale_charset_raw: han...
  336438 unicode collate test failing
  391364 Warnings during ./configure due to $SED being undefined i...
  391367 config.status warning for datarootdir support in glib-get...
  371670 Faster g_bit_* operations
  302672 poll is completely broken on Mac OS X 10.4
  362328 errorcheck_mutex_test fails to compile due to missing -pthread
  316434 glib-2.6.6 fails to compile on AIX 5.1 due to assembler errors
  172406 gconvert.c, function open_converter
  327800 Hang during self-test of threads
  343825 Double expansion in m4macros/glib-gettext.m4 will fail with
  newer autoconf
  380801 build on Solaris does not work out of the box
  386252 HEAD broken with last commit
  138153 g_utf8_next_char problem with gcc -Wcast-qual
  161288 glib doesn't configure well on Mac OS < 10.3
  321977 GIOChannel ref_count private variable should be gint instead
  of guint
  343191 GKeyFile silently loses values
  346373 test failures in glib-2.10.3 on NetBSD
  347944 make check fails 2 test on Solaris 9
  355955 Hash tables in gwin32.c do not g_strdup their keys
  357585 Calls to set_cloexec inefficient on Solaris
  359190 gtimer.c failes to compile on solaris-2.9
  378078 extremely unlikely read-after-free in instance_real_class_get
  379207 gthreadpool.h causes warning with GCC and -Wshadow
  385132 solaris gettext support fix
  385910 Suprising behaviour with duplicate groups in GKeyFile
  386838 mapping-test freezes
  315061 compiler specific flag in gthread-2.0.pc
  362543 Compilation fail when configured with --disable-visibility
  362918 monotonic clock test uses AC_TRY_RUN
  369908 g_key_file_get_string not stripping final space
  373864 sanity_check is a bash script
  (These bugs are viewable on bugzilla.gnome.org)
- Make GKeyFile accept keys that are commonly used
- GKeyFile:
  + The stricter syntax checks introduced in 2.12.5 have been reduced
  to warnings for the 2.12 series
- GSlice:
  + The slice allocator has gained address validation that
  can be activated with the environment variable
  G_SLICE=debug-blocks
  + The allocator emits a warning if it detects too late
  thread initialization
- GOption:
  + Take double-width and zero-width characters into account
  when formatting --help output.
* Thu Jan 25 2007 - sbrabec@suse.cz
- Remove obsolete files kept by gnome-filesystem package.
* Thu Dec 07 2006 - sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Thu Nov 02 2006 - jhargadon@suse.de
- added a patch to m4macros/glib-gettext.m4 so that the build
  variables expand properly.
* Mon Oct 02 2006 - jhargadon@suse.de
- update to version 2.12.4
- Fix build problems related to Posix timers
- Bugs fixed
  321974 nanosleep on AIX / g_timer API using high resolution timers
  353584 va_end called on caller supplied va_list
  353580 va_copy detection breaks if user sets
  CFLAGS=-Werror-implicit-function-declaration
  354522 Small problem with PLT hiding 6 symbols
  358421 typos in gmain.c
- New and updated translations
* Tue Sep 12 2006 - jhargadon@suse.de
- update to version 2.12.3
- Use Posix monotonic clocks instead of gettimeofday()
  for GTimer when available
- Make the construction of singleton objects work
  witout warnings.
- 351583 API documentation issues with 2.15 release
- 336114 desktop locks immediately after changing the system clock
- 351853 GKeyFile creates non-UTF-8 error messages
- Translation updates (fr,hu,ja,ku,lt,lv,ml,or,
  pt,ru,sv,vi,zh_CN)
* Wed Aug 30 2006 - jhargadon@suse.de
- update to version 2.12.2
- Normalization is following Unicode TR #29
- 348491 g_utf8_strup() and g_utf8_strdown() returns
  string with NUL bytes
- 349825 GKeyFile always inserts a newline before a group
- 347842 g_unichar_isxdigit() is too general about what
  it considers a digit
- 348694 g_utf8_normalize() hasn't been updated to PR #29
- 348785 Hint about G_DEBUG in Message Logging docs
- 349792 Wrong english string
- 349952 gparamspecs.c uses gcc feature
- Translation updates
* Mon Jul 31 2006 - gekker@suse.de
- Update to version 2.12.1
  * Update to final Unicode Character Database 5.0.0
  * Bugs fixed:
  346660 issues with base64 api documentation / g_base64_decode_cl...
  348136 Coverity reports allocation of wrong size CID #2839
  336281 Update to UCD 5.0
  346197 g_date_strftime %%F option doesnt work for win32
  348011 Small optimization to real_toupper()
  246494 prototype mismatch in glib/gconvert.c
  * New and updated translations (bg,bn_IN,ca,dz,eu,fi,
  fr,he,it,ja,mk,or,pt)
* Tue Jul 18 2006 - rml@suse.de
- Update to glib 2.12:
	- Lots of bug fixes
	- GSlice!
- Drop upstream patches
* Tue Jun 06 2006 - sbrabec@suse.cz
- Fixed locale detection in profile scripts (#180613):
  * Fixed invalid charset typos.
  * Added support for Persian, Armenian and Khmer.
  * Added ISO-8859-1 fallback where applicable.
* Thu Mar 30 2006 - sbrabec@suse.cz
- Renamed profile to be executed after lang.*, otherwise
  G_FILENAME_ENCODING cannot be set.
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 - gekker@suse.de
- Fix gstaticmutex define (#141215 patch byjblunck)
* Tue Jan 17 2006 - zsu@suse.de
- Fixed implicit cast issue introduced by bugfix #316221
  http://bugzilla.gnome.org/show_bug.cgi?id=327022
* Fri Jan 13 2006 - sbrabec@suse.cz
- Updated to version 2.8.5.
* Mon Jan 02 2006 - sbrabec@suse.cz
- Fixed Aragonese support in profile scripts.
* Fri Nov 18 2005 - sbrabec@suse.cz
- Updated to version 2.8.4.
* Mon Nov 14 2005 - sbrabec@suse.cz
- Fixed strict aliasing problems in macros.
  http://bugzilla.gnome.org/show_bug.cgi?id=316221
* Fri Nov 04 2005 - schwab@suse.de
- Fix use of atomic builtins.
* Tue Oct 11 2005 - gekker@suse.de
-  Update to version 2.8.3
* Wed Sep 28 2005 - gekker@suse.de
- Update to version 2.8.2
- Add -fno-strict-aliasing to CFLAGS
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.8.1
* Mon Aug 15 2005 - rodrigo@suse.de
- Update to version 2.8.0
* Wed Aug 10 2005 - gekker@suse.de
- Update to version 2.7.7
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 2.7.4
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 2.7.2
* Thu Jun 23 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
* Fri Jun 17 2005 - gekker@suse.de
- Update to version 2.7.0.
- Fix SENTINEL patch to work with upstream version.
* Tue Jun 07 2005 - gekker@suse.de
- Update to version 2.6.4.
* Tue May 31 2005 - schwab@suse.de
- Build in parallel.
- Use autoreconf.
* Wed Apr 06 2005 - schwab@suse.de
- Cleanup neededforbuild.
* Wed Apr 06 2005 - meissner@suse.de
- Added gettext-devel to neededforbuild.
* Fri Apr 01 2005 - meissner@suse.de
- disable visibility hackery to build with gcc4.
* Wed Mar 02 2005 - gekker@suse.de
- Updated to version 2.6.3.
* Mon Feb 07 2005 - sbrabec@suse.cz
- Updated to version 2.6.2.
* Wed Jan 19 2005 - meissner@suse.de
- define G_GNUC_SENTINEL for gcc >= 4
- specify G_GNUC_SENTINEL where applicable.
* Sun Jan 16 2005 - clahey@suse.de
- Updated to version 2.6.1.
* Mon Jan 03 2005 - gekker@suse.de
- Update to version 2.6.0
* Wed Dec 22 2004 - ro@suse.de
- remove no translation (obsolete with nb present)
* Wed Dec 15 2004 - gekker@suse.de
- Update version to 2.5.7.
- Remove the no-no patch, as it is upstreamed.
* Tue Nov 16 2004 - clahey@suse.de
- Update to glib 2.5.6.
* Tue Oct 19 2004 - ro@suse.de
- remove no locale support: nb is already there
* Tue Oct 12 2004 - sbrabec@suse.cz
- Require gnome-filesystem (#47068).
* Wed Sep 29 2004 - sbrabec@suse.cz
- Fixed glib2.csh for unset LANG (#46282).
* Wed Aug 25 2004 - federico@ximian.com
- Update to glib 2.4.5
- Removed glib-pattern.diff, as this bug is fixed in the tarball.
* Wed Aug 25 2004 - kukuk@suse.de
- Avoid /bin/sh as PreRequire
* Tue Jul 06 2004 - coolo@suse.de
- glib2-devel requires the very same version of glib2
* Tue Jun 22 2004 - sbrabec@suse.cz
- glib2.sh, glib2.csh: G_FILENAME_ENCODING must be comma separated.
* Tue Jun 08 2004 - sbrabec@suse.cz
- Fixed glib2.csh (#41665).
* Wed May 05 2004 - sbrabec@suse.cz
- Added pkgconfig to requirement of glib2-devel (#37628).
* Mon Apr 19 2004 - sbrabec@suse.cz
- Fix of strict aliasing fix.
* Mon Apr 19 2004 - sbrabec@suse.cz
- Fixed strict aliasing.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.6).
- Removed gconvert-errno-altering.patch - this one was not accepted for
  mainstream but strerror() errno altering was fixed.
- Added filename encoding guesser to /etc/profile.d/glib2.*.
* Mon Mar 22 2004 - sbrabec@suse.cz
- Removed references to mkinstalldirs in glib-gettextize (#36621).
* Wed Mar 17 2004 - sbrabec@suse.cz
- Use -fno-strict-aliasing.
* Mon Mar 15 2004 - sbrabec@suse.cz
- FHS 2.3 fix (mandir, infodir, #35821).
* Wed Mar 10 2004 - sbrabec@suse.cz
- Fixed %%doc attributes (#33163).
* Fri Jan 09 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Fri Oct 17 2003 - adrian@suse.de
- fix missing %%run_ldconfig
- build as user
* Wed Sep 24 2003 - sbrabec@suse.cz
- Added errno save patches (g_strerror(errno) alters errno).
  Fixes more issues, at least:
  http://bugzilla.gnome.org/show_bug.cgi?id=116617
  http://bugzilla.gnome.org/show_bug.cgi?id=122939
  http://bugzilla.gnome.org/show_bug.cgi?id=123040
* Mon Sep 15 2003 - sf@suse.de
- remove debug flags, add -O2 again
* Thu Sep 11 2003 - sf@suse.de
- fix segfault in eog on AMD64 [bug 30483]
* Thu Aug 28 2003 - sbrabec@suse.cz
- Updated to version 2.2.3.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
- Profile files modified.
* Wed Jun 11 2003 - sbrabec@suse.cz
- Updated to version 2.2.2.
- Require gnome-filesystem for glib2-doc.
- Updated neededforbuild.
* Tue Mar 11 2003 - olh@suse.de
- provide static glib version (#24897)
* Mon Feb 03 2003 - hhetter@suse.de
- updated to version 2.2.1, from changes:
  * Win32
	  - Improve handling of stderr/stdout
	  - Install .def files
 	  - Fix quoting for GSpawn
	  - Miscellaneous bug fixes
  * configure fixes
  * New and updated translations
* Fri Jan 10 2003 - sbrabec@suse.cz
- Branched glib2-doc.
* Thu Jan 09 2003 - sbrabec@suse.cz
- Updated to version 2.2.0.
- Updated %%files.
* Tue Nov 05 2002 - hhetter@suse.de
- updated to version 2.0.7, bugfix release:
  * Fix C++ warnings in gtype.h
  * Fix g_type_fundamental_next()
  * Fix various missing includes of config.h
  * Handle main loop initialization before g_thread_init
  * Various 64-bit fixes
  * Fix GPoll on Win32
  * Fix bug with buffering on UTF-8 IOChannels
  * Misc bug and build fixes
  * Updated and new translations (be,cs,de,fa,it,lv,pt_BR,tr)
* Tue Aug 13 2002 - hhetter@suse.de
- gtk-doc usage conditional
* Tue Aug 13 2002 - hhetter@suse.de
- correct URL and Source tag in specfile (#17638)
* Thu Aug 08 2002 - hhetter@suse.de
- devel package requires glib2
* Mon Aug 05 2002 - hhetter@suse.de
- updated to version 2.0.6, fron changes:
  * Fix problem with interface prerequisites
  * Clean up debug spew from GObject
  * Compiler warning fixes
  * Fix some problems with g_build_path()
  * Fixes for --disable-debug
  * Threading fixes
  * Documentation fixes
  * Misc bug fixes
  * Updated translations (bg,ko,vi)
* Mon Jun 17 2002 - jordi@suse.de
- Updated to version 2.0.4
  * Fix some 64-bit problems
  * Add note about Tru64 iconv to INSTALL
  * Fix problem with timouts > MAXINT
  * Updated translations
* Fri Jun 14 2002 - ro@suse.de
- add gnome2.{sh,csh} to have /opt/gnome2/bin first in PATH
  on 7.3 and older distros
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 2.0.3
* Thu Apr 25 2002 - meissner@suse.de
- fixed %%_lib issues.
* Tue Apr 09 2002 - schwab@suse.de
- Fix missing includes.
* Mon Apr 08 2002 - hhetter@suse.de
- updated to version 2.0.1
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 1.3.13 [GNOME desktop alpha2]
* Fri Jan 11 2002 - hhetter@suse.de
- updated to version 1.3.12
* Tue Dec 11 2001 - ro@suse.de
- export LIBRARY_PATH for broken libtool
* Tue Nov 27 2001 - hhetter@suse.de
- updated to version 1.3.11, changes include:
  * Win32 fixes
  * Documentation improvements
  * Portable directory handling API
  * Threading fixes
  * Fix excess relocations in Unicode tables
  * Fix gpattern for UTF-8
  * Support overriding class closures
  * Support for derivation from G_TYPE_POINTER
  * Hide pointers to type information inside GType to reduce locking
  * Adds check for direct inclusion of gobject/*.h
  * GObject API cleanups
* Tue Nov 20 2001 - ro@suse.de
- really build libgmodule, libgobject and libgthread
* Thu Nov 15 2001 - hhetter@suse.de
- fixed build to provide libgmodule and libgobject
* Tue Nov 13 2001 - hhetter@suse.de
- updated to version 1.3.10
* Mon Oct 01 2001 - hhetter@suse.de
- initial SuSE release for GNOME 2.0 platform
